#	@(#)bsd.doc.mk	5.5 (Berkeley) 11/12/91

PRINTER=psc

BIB?=		bib
EQN?=		deqn -P${PRINTER}
GREMLIN?=	grn -P${PRINTER}
GRIND?=		vgrind -f
INDXBIB?=	indxbib
PIC?=		pic -P${PRINTER}
REFER?=		refer
ROFF?=		ditroff -t ${MACROS} ${PAGES} -P${PRINTER}
SOELIM?=	soelim
TBL?=		dtbl -P${PRINTER}

MKFILE0 ?=	Makefile

.PATH: ${.CURDIR}

.if !target(print)
print: paper.${PRINTER}
	lpr -P${PRINTER} paper.${PRINTER}
.endif

.if !target(manpages)
manpages:
.endif

.if !target(obj)
obj:
.endif

clean cleandir:
	rm -f paper.* [eE]rrs mklog ${CLEANFILES}

FILES?=	${SRCS}
install:  ${FILES} ${EXTRA}
	install -c -o ${BINOWN} -g ${BINGRP} -m 444 \
	    ${MKFILE0} ${.ALLSRC} ${DESTDIR}${BINDIR}/${DIR}

spell: ${SRCS}
	spell ${.ALLSRC} | sort | comm -23 - spell.ok > paper.spell

BINDIR?=	/usr/share/doc
BINGRP?=	bin
BINOWN?=	bin
BINMODE?=	444
