
BSDINSTDIR ?=	${DESTD0}.${HOST_ENV}
TOOLS_DIR ?=	${TOOLS_DIR_HOST}

USE_GCC2 =	yes

NOPROFILE =	yes
NOPIC =		yes
NOMAN =		yes
NOTAGS =	yes

.if defined(TARGET_GNU_PLATFORM)
CROSS_DIR ?=	/usr/local/cross/${TARGET_GNU_PLATFORM}
CROSS_BIN ?=	${CROSS_DIR}/bin
AS =		${CROSS_BIN}/as
AR =		${CROSS_BIN}/ar
RANLIB =	${CROSS_BIN}/ranlib
STRIP_CMD =	${CROSS_BIN}/strip
.endif

LD =	${TOOLS_BIN}/ld
LDFLAGS +=	-B${TOOLS_BIN}/

.if ${MACHINE} == "luna68k" || ${MACHINE} == "hp300"
CFLAGS +=	-D${MACHINE}
HOST_CFLAGS +=	-D${MACHINE}
.endif

