# compile BSD

BSDSRCDIR ?=		/usr/src/csrg-b44a

DESTD0 ?=		/usr/obj/bsd44a-installed

TARGET_ENV ?=	4.4alpha-${MACHINE}

.if exists(/usr/bin/uname)
HOST_ENV !=	echo `uname -s`-${MACHINE}
.else
HOST_ENV =	4.4alpha-${MACHINE}
.endif

TOOLS_DIR_TARGET ?=	/usr/local/tools
TOOLS_DIR_HOST ?=	/usr/local/cross/${MACHINE}-bsd44a

.if defined(HOST_BIN)
. include <extra_hostbin.mk>
.else

. if ${HOST_ENV} != ${TARGET_ENV}
.  include <extra_cross.mk>

CROSS_BUILD =	yes

. else

BSDINSTDIR ?=	${DESTD0}.self-${MACHINE}
TOOLS_DIR ?=	${TOOLS_DIR_TARGET}

. endif

TOOLS_INSTDIR ?=	${TOOLS_DIR_TARGET}
DESTDIR ?=	${BSDINSTDIR}

HOST_CC ?=	gcc
CC =		gcc

LDFLAGS +=	-B${BSDINSTDIR}/usr/lib/
LDSYSADD ?=	-L${BSDINSTDIR}/usr/lib

STRIP_CMD ?=	strip

YACC =	yacc
. if exists(${TOOLS_DIR}/bin/lex)
LEX =	${TOOLS_DIR}/bin/lex
. endif
LEX ?=	lex
CPP =	cpp

STRIP_ENV =

CFLAGS +=	-nostdinc -I${BSDINSTDIR}/usr/include
# CFLAGS +=	-isystem -I${BSDINSTDIR}/usr/include

.endif

TOOLS_BIN =	${TOOLS_DIR}/bin

MKDEP =	mkdep

MKFILE0 ?=	${S}/Makefile

NROFF ?=	nroff
EQN ?=		eqn
INDXBIB ?=	indxbib
REFER ?=	refer
TBL ?=		tbl

